<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    var array = ['abc', true, 123, 333, 888, 777, 999];
    document.write(array.toString()); //abc,true,123,333,888,777,999
    document.write('<br/>');
    document.write(array.pop()); //999
    document.write('<br/>');
    document.write(array.toString()); //abc,true,123,333,888,777
    document.write('<br/>');

    array = array.filter((v, i) => typeof(v) === 'number') // 숫자형만 추출
    document.write(array); //123,333,888,777
    document.write('<br/>');
    document.write('<br/>');

    var array = ['abc', true, 123, 333, 888, 777, 999];
    array.splice(1, 2); // 인덱스 1에서부터 2개 제거
    document.write(array.toString()); //abc,333,888,777,999
    document.write('<br/>');

    document.write(array.shift()); //abc. 맨 앞의 데이터가 추출된다.
    document.write('<br/>');
    document.write(array.toString()); //333,888,777,999
    document.write('<br/>');

    document.write(array.pop()); //999. 맨 뒤의 데이터가 추출된다.
    document.write('<br/>');
    document.write(array.toString()); //333,888,777
    document.write('<br/>');
  </script>
</body>
</html>